System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the different display behaviors of error messages in validation controls.

specifies that you only want to display the error message in a control. The error message will not display in the validation control.

specifies that you don't want the layout of the Web page to change when validator controls display error messages. Space on the page is allocated for the error messages when displaying the page. The validator contents are physically part of the page; therefore, multiple validators for the same input control must occupy different locations on the page.

specifies that you want to dynamically place error messages on the Web page when validation fails. Space for the validation content is not allocated on the page; therefore, the page dynamically changes to display the error message. This allows multiple validators to share the same physical location on the page. In order to keep the page layout from changing when an error message is displayed, the HTML element containing the validator must be sized large enough to accommodate the maximum size of the validator.

## Accessibility

For information about how to configure validation controls so that they generate markup that conforms to accessibility standards, see Accessibility in Visual Studio 2010 and ASP.NET 4 and ASP.NET Controls and Accessibility.

Specifies the display behavior of error messages in validation controls.

- Field
  System.Web.UI.WebControls.ValidatorDisplay To be added

  Validator content dynamically added to the page when validation fails.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidatorDisplay To be added

  Validator content never displayed inline.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.ValidatorDisplay To be added

  Validator content physically part of the page layout.

  1.0.5000.0
  2.0.0.0